package actions;

import java.awt.event.ActionEvent;
import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;
import objets.CListeObjets;

@SuppressWarnings("serial")
/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


public class ActionChangerStyleTousPoints extends MtgAction {
  public ActionChangerStyleTousPoints(MtgFrame frameInit) {
    super(frameInit, null, getString("menuchangerStylePoints"), null, null, null, false);
  }
  
  @Override
  public int idMenu() {
    return 33042;
  }
    
  @Override
  public void actionPerformed(ActionEvent e) {
  	super.actionPerformed(e);
  	MtgInternalFrame cadre = frame.cadreActif();
  	if (cadre != null) {
  		CListeObjets list = cadre.listePr;
  		boolean done = list.changeStyleTousPoints(frame);
  		if (done) {
    		cadre.repaintFigureAvecCalcul();
  			cadre.gestionnaire.enregistreFigureEnCours(getString("chaineOutil165"));
  		}
  	}
  }
}
